field.cc File Reference

`field` - plot a field More...

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Enumerations

enum | render_type { text_render, paraview_render, vtk_render, plotmtv_render, gnuplot_render, toc_render, no_render, gnuplot_render, paraview_render, plotmtv_render, vtk_render, atom_render, x3d_render, file_render, no_render, gnuplot_render, paraview_render, plotmtv_render, vtk_render, gmsh_render, atom_render, x3d_render, file_render }
enum | vector_style_type { deformation_style, velocity_style, undef_vector_style }
enum | show_type { show_none, show_min, show_max, show_geo }

## Functions

void | usage ()
template<class T >
geo_basic< T, sequential > | paraview_extract_isosurface (const field_basic< T, sequential > &uh)
template<class T >
field_basic< T, sequential > | paraview_plane_cut (const field_basic< T, sequential > &uh, const point_basic< T > &origin, const point_basic< T > &normal)
int | main (int argc, char **argv)

## Detailed Description

`field` - plot a field

Definition in file field.cc.

## Enumeration Type Documentation

## render_type

enum render_type

Enumerator
text_render |
paraview_render |
vtk_render |
plotmtv_render |
gnuplot_render |
toc_render |
no_render |
gnuplot_render |
paraview_render |
plotmtv_render |
vtk_render |
atom_render |
x3d_render |
file_render |
no_render |
gnuplot_render |
paraview_render |
plotmtv_render |
vtk_render |
gmsh_render |
atom_render |
x3d_render |
file_render |

Definition at line 385 of file field.cc.

## vector_style_type

enum vector_style_type

Enumerator
deformation_style |
velocity_style |
undef_vector_style |

Definition at line 396 of file field.cc.

## show_type

enum show_type

Enumerator
show_none |
show_min |
show_max |
show_geo |

Definition at line 402 of file field.cc.

## Function Documentation

## usage()

void usage | ( |  | ) |

Definition at line 338 of file field.cc.

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 409 of file field.cc.